#include <bits/stdc++.h>
using namespace std;
int main(){
    int n,k,niz[20000],poz;
    cin >> n >> k;
    for(int i=0;i<n;i++){
        cin >> niz[i];
    }
    if(n==2){
        if(k==niz[0]){
            cout << niz[1];
            return 0;
        }
        if(k==niz[1]){
            cout << niz[0];
            return 0;
        }
    }
    if(k==niz[n-1]){
        cout << niz[0];
        return 0;
    }
    for(int j=0;j<n;j++){
        if(niz[j]==k)
            poz=j;
    }
    cout << niz[poz+1];

}